
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.christmasland.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.registries.DeferredHolder;
import net.neoforged.neoforge.event.entity.RegisterSpawnPlacementsEvent;
import net.neoforged.neoforge.event.entity.EntityAttributeCreationEvent;
import net.neoforged.fml.common.EventBusSubscriber;
import net.neoforged.bus.api.SubscribeEvent;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;
import net.minecraft.core.registries.Registries;

import net.mcreator.christmasland.entity.SoldierGingerBreadManEntity;
import net.mcreator.christmasland.entity.MrGrinchEntity;
import net.mcreator.christmasland.entity.GingerbreadManMobEntity;
import net.mcreator.christmasland.ChristmasLandMod;

@EventBusSubscriber(bus = EventBusSubscriber.Bus.MOD)
public class ChristmasLandModEntities {
	public static final DeferredRegister<EntityType<?>> REGISTRY = DeferredRegister.create(Registries.ENTITY_TYPE, ChristmasLandMod.MODID);
	public static final DeferredHolder<EntityType<?>, EntityType<GingerbreadManMobEntity>> GINGERBREAD_MAN_MOB = register("gingerbread_man_mob",
			EntityType.Builder.<GingerbreadManMobEntity>of(GingerbreadManMobEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).fireImmune().sized(0.6f, 1.8f));
	public static final DeferredHolder<EntityType<?>, EntityType<SoldierGingerBreadManEntity>> SOLDIER_GINGER_BREAD_MAN = register("soldier_ginger_bread_man",
			EntityType.Builder.<SoldierGingerBreadManEntity>of(SoldierGingerBreadManEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3).fireImmune().sized(0.6f, 1.8f));
	public static final DeferredHolder<EntityType<?>, EntityType<MrGrinchEntity>> MR_GRINCH = register("mr_grinch",
			EntityType.Builder.<MrGrinchEntity>of(MrGrinchEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3)

					.sized(0.6f, 1.8f));

	// Start of user code block custom entities
	// End of user code block custom entities
	private static <T extends Entity> DeferredHolder<EntityType<?>, EntityType<T>> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		return REGISTRY.register(registryname, () -> (EntityType<T>) entityTypeBuilder.build(registryname));
	}

	@SubscribeEvent
	public static void init(RegisterSpawnPlacementsEvent event) {
		GingerbreadManMobEntity.init(event);
		SoldierGingerBreadManEntity.init(event);
		MrGrinchEntity.init(event);
	}

	@SubscribeEvent
	public static void registerAttributes(EntityAttributeCreationEvent event) {
		event.put(GINGERBREAD_MAN_MOB.get(), GingerbreadManMobEntity.createAttributes().build());
		event.put(SOLDIER_GINGER_BREAD_MAN.get(), SoldierGingerBreadManEntity.createAttributes().build());
		event.put(MR_GRINCH.get(), MrGrinchEntity.createAttributes().build());
	}
}
