
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.christmasland.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.registries.DeferredHolder;
import net.neoforged.neoforge.event.BuildCreativeModeTabContentsEvent;
import net.neoforged.fml.common.EventBusSubscriber;
import net.neoforged.bus.api.SubscribeEvent;

import net.minecraft.world.item.ItemStack;
import net.minecraft.world.item.CreativeModeTabs;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.network.chat.Component;
import net.minecraft.core.registries.Registries;

import net.mcreator.christmasland.ChristmasLandMod;

@EventBusSubscriber(bus = EventBusSubscriber.Bus.MOD)
public class ChristmasLandModTabs {
	public static final DeferredRegister<CreativeModeTab> REGISTRY = DeferredRegister.create(Registries.CREATIVE_MODE_TAB, ChristmasLandMod.MODID);
	public static final DeferredHolder<CreativeModeTab, CreativeModeTab> CHRISTMAS_LAND_TAB = REGISTRY.register("christmas_land_tab",
			() -> CreativeModeTab.builder().title(Component.translatable("item_group.christmas_land.christmas_land_tab")).icon(() -> new ItemStack(ChristmasLandModBlocks.CANDYCANEBLOCK.get())).displayItems((parameters, tabData) -> {
				tabData.accept(ChristmasLandModBlocks.CANDYCANEBLOCK.get().asItem());
				tabData.accept(ChristmasLandModBlocks.GINGERBREADBLOCK.get().asItem());
				tabData.accept(ChristmasLandModBlocks.FROSTEDGINGERBREADBLOCK.get().asItem());
				tabData.accept(ChristmasLandModBlocks.REINFORCED_GINGERBREADBLOCK.get().asItem());
				tabData.accept(ChristmasLandModBlocks.GINGERBREADDOOR.get().asItem());
				tabData.accept(ChristmasLandModBlocks.GINGER_TRAP_DOOR.get().asItem());
				tabData.accept(ChristmasLandModBlocks.GINGERBREADSTAIRS.get().asItem());
				tabData.accept(ChristmasLandModBlocks.FROSTED_GINDERBREADSTAIRS.get().asItem());
				tabData.accept(ChristmasLandModBlocks.GINGER_FENCE.get().asItem());
				tabData.accept(ChristmasLandModBlocks.GINGERBREAD_GATE.get().asItem());
				tabData.accept(ChristmasLandModBlocks.FROSTED_GINGERBREAD_FENCE.get().asItem());
				tabData.accept(ChristmasLandModBlocks.FROSTEDGINGERBREADGATE.get().asItem());
				tabData.accept(ChristmasLandModBlocks.CANDYFENCE.get().asItem());
				tabData.accept(ChristmasLandModBlocks.CANDY_CANE_GATE.get().asItem());
				tabData.accept(ChristmasLandModItems.GINGER_BREAD_COOKIE.get());
				tabData.accept(ChristmasLandModItems.CANDYCANESHARDITEM.get());
				tabData.accept(ChristmasLandModItems.CANDY_CANE_SWORD_ITEM.get());
				tabData.accept(ChristmasLandModItems.CANDYCANEPICK.get());
				tabData.accept(ChristmasLandModItems.CANDYCANEAXE.get());
				tabData.accept(ChristmasLandModItems.CANDYCANEHOE.get());
				tabData.accept(ChristmasLandModItems.CANDYSHOVEL.get());
				tabData.accept(ChristmasLandModItems.GINGERBREAD_SHEILD.get());
				tabData.accept(ChristmasLandModItems.GINGERITEM.get());
				tabData.accept(ChristmasLandModItems.TIN_SOLDER_ARMOR_HELMET.get());
				tabData.accept(ChristmasLandModItems.TIN_SOLDER_ARMOR_CHESTPLATE.get());
				tabData.accept(ChristmasLandModItems.TIN_SOLDER_ARMOR_LEGGINGS.get());
				tabData.accept(ChristmasLandModItems.TIN_SOLDER_ARMOR_BOOTS.get());
				tabData.accept(ChristmasLandModItems.STEADFAST_HEART.get());
				tabData.accept(ChristmasLandModBlocks.TIN_ORE.get().asItem());
				tabData.accept(ChristmasLandModItems.TIN_ORECHUNK.get());
				tabData.accept(ChristmasLandModItems.BASIC_TIN_ARMOR_SET_HELMET.get());
				tabData.accept(ChristmasLandModItems.BASIC_TIN_ARMOR_SET_CHESTPLATE.get());
				tabData.accept(ChristmasLandModItems.BASIC_TIN_ARMOR_SET_LEGGINGS.get());
				tabData.accept(ChristmasLandModItems.BASIC_TIN_ARMOR_SET_BOOTS.get());
				tabData.accept(ChristmasLandModItems.GINGERBREAD_MAN_MOB_SPAWN_EGG.get());
				tabData.accept(ChristmasLandModItems.SOLDIER_GINGER_BREAD_MAN_SPAWN_EGG.get());
				tabData.accept(ChristmasLandModItems.MR_GRINCH_SPAWN_EGG.get());
				tabData.accept(ChristmasLandModItems.GINGERBREADARMOR_HELMET.get());
				tabData.accept(ChristmasLandModItems.GINGERBREADARMOR_CHESTPLATE.get());
				tabData.accept(ChristmasLandModItems.GINGERBREADARMOR_LEGGINGS.get());
				tabData.accept(ChristmasLandModItems.GINGERBREADARMOR_BOOTS.get());
				tabData.accept(ChristmasLandModBlocks.GUMDROPBUTTON.get().asItem());
				tabData.accept(ChristmasLandModBlocks.TIN_BLOCK.get().asItem());
				tabData.accept(ChristmasLandModItems.TIN_INGOT.get());
				tabData.accept(ChristmasLandModBlocks.GINGER_PLANT.get().asItem());
			}).withSearchBar().build());

	@SubscribeEvent
	public static void buildTabContentsVanilla(BuildCreativeModeTabContentsEvent tabData) {
		if (tabData.getTabKey() == CreativeModeTabs.COMBAT) {

			tabData.accept(ChristmasLandModItems.TIN_SOLDER_ARMOR_HELMET.get());
			tabData.accept(ChristmasLandModItems.TIN_SOLDER_ARMOR_CHESTPLATE.get());
			tabData.accept(ChristmasLandModItems.TIN_SOLDER_ARMOR_LEGGINGS.get());
			tabData.accept(ChristmasLandModItems.TIN_SOLDER_ARMOR_BOOTS.get());
			tabData.accept(ChristmasLandModItems.BASIC_TIN_ARMOR_SET_HELMET.get());
			tabData.accept(ChristmasLandModItems.BASIC_TIN_ARMOR_SET_CHESTPLATE.get());
			tabData.accept(ChristmasLandModItems.BASIC_TIN_ARMOR_SET_LEGGINGS.get());
			tabData.accept(ChristmasLandModItems.BASIC_TIN_ARMOR_SET_BOOTS.get());
			tabData.accept(ChristmasLandModItems.GINGERBREADARMOR_HELMET.get());
			tabData.accept(ChristmasLandModItems.GINGERBREADARMOR_CHESTPLATE.get());
			tabData.accept(ChristmasLandModItems.GINGERBREADARMOR_LEGGINGS.get());
			tabData.accept(ChristmasLandModItems.GINGERBREADARMOR_BOOTS.get());

		} else if (tabData.getTabKey() == CreativeModeTabs.SPAWN_EGGS) {

			tabData.accept(ChristmasLandModItems.GINGERBREAD_MAN_MOB_SPAWN_EGG.get());
			tabData.accept(ChristmasLandModItems.SOLDIER_GINGER_BREAD_MAN_SPAWN_EGG.get());
			tabData.accept(ChristmasLandModItems.MR_GRINCH_SPAWN_EGG.get());

		} else if (tabData.getTabKey() == CreativeModeTabs.NATURAL_BLOCKS) {

			tabData.accept(ChristmasLandModBlocks.CANDYCANEBLOCK.get().asItem());

		} else if (tabData.getTabKey() == CreativeModeTabs.TOOLS_AND_UTILITIES) {

			tabData.accept(ChristmasLandModItems.GINGERBREAD_SHEILD.get());
			tabData.accept(ChristmasLandModItems.CANDYSHOVEL.get());

		}
	}
}
